searchData={"items":[{"type":"module","title":"LiveViewNative.LiveForm","doc":"","ref":"LiveViewNative.LiveForm.html"},{"type":"module","title":"LiveViewNative.LiveForm.Component","doc":"Base components for LiveForm","ref":"LiveViewNative.LiveForm.Component.html"},{"type":"function","title":"LiveViewNative.LiveForm.Component.form/1","doc":"Renders a form.\n\nThis form component behaves identital to `Phoenix.Component.form/1`. Please\nrefer to that docmentation for usage details. on arguments. This component\nis platform agnostic. The ` ` element will be implemented in all\nsupported clients. Third-party clients can also implement their own ` `\nelement and take advantage of this component.","ref":"LiveViewNative.LiveForm.Component.html#form/1"},{"type":"function","title":"Attributes - LiveViewNative.LiveForm.Component.form/1","doc":"* `for` (`:any`) (required) - An existing form or the form source data.\n* `action` (`:string`) - The action to submit the form on.\n  This attribute must be given if you intend to submit the form to a URL without LiveView.\n\n* `as` (`:atom`) - The prefix to be used in names and IDs generated by the form.\n  For example, setting `as: :user_params` means the parameters\n  will be nested \"user_params\" in your `handle_event` or\n  `conn.params[\"user_params\"]` for regular HTTP requests.\n  If you set this option, you must capture the form with `:let`.\n\n* `csrf_token` (`:any`) - A token to authenticate the validity of requests.\n  One is automatically generated when an action is given and the method is not `get`.\n  When set to `false`, no token is generated.\n\n* `errors` (`:list`) - Use this to manually pass a keyword list of errors to the form.\n  This option is useful when a regular map is given as the form\n  source and it will make the errors available under `f.errors`.\n  If you set this option, you must capture the form with `:let`.\n\n* `method` (`:string`) - The HTTP method.\n  It is only used if an `:action` is given. If the method is not `get` nor `post`,\n  an input tag with name `_method` is generated alongside the form tag.\n  If an `:action` is given with no method, the method will default to `post`.\n\n* `multipart` (`:boolean`) - Sets `enctype` to `multipart/form-data`.\n  Required when uploading files.\n\n  Defaults to `false`.\n* Global attributes are accepted. Additional HTML attributes to add to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"enctype\", \"novalidate\", \"target\"]`.","ref":"LiveViewNative.LiveForm.Component.html#form/1-attributes"},{"type":"function","title":"Slots - LiveViewNative.LiveForm.Component.form/1","doc":"* `inner_block` (required) - The content rendered inside of the form tag.","ref":"LiveViewNative.LiveForm.Component.html#form/1-slots"},{"type":"extras","title":"LiveForm for LiveView Native","doc":"# LiveForm for LiveView Native\n\n`liveview-native-live-form` is an add-on library for [LiveView Native](https://github.com/liveview-native/live_view_native). It adds support for HTML-style forms on native platforms.","ref":"readme.html"},{"type":"extras","title":"Installation - LiveForm for LiveView Native","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Elixir - LiveForm for LiveView Native","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `live_view_native_live_form` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:live_view_native_live_form, \"~> 0.3.0\"}\n  ]\nend\n```","ref":"readme.html#elixir"},{"type":"extras","title":"SwiftUI - LiveForm for LiveView Native","doc":"1. In Xcode, select *File → Add Packages...*\n2. Enter the package URL `https://github.com/liveview-native/liveview-native-live-form`\n3. Select *Add Package*","ref":"readme.html#swiftui"},{"type":"extras","title":"Usage - LiveForm for LiveView Native","doc":"Import `LiveViewNativeLiveForm` and add `.liveForm` to the list of addons on your `LiveView`:\n\n```swift\nimport SwiftUI\nimport LiveViewNative\nimport LiveViewNativeLiveForm\n\nstruct ContentView: View {\n    var body: some View {\n        #LiveView(\n            .localhost,\n            addons: [.liveForm]\n        )\n    }\n}\n```\n\nNow you can use the `LiveForm` and `LiveSubmitButton` elements in your template.\n\n```heex\n \n   Username \n   Password \n   Submit \n \n```","ref":"readme.html#usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}